# Episode 15: 2017 in Retrospective

### [How to listen & subscribe](https://github.com/artem-zinnatullin/TheContext-Podcast)

 - [Discussion after the episode](https://github.com/artem-zinnatullin/TheContext-Podcast/issues/83)

In this episode Artur and Hannes do a retrospective on 2017. They share their personal highlights, favorite talks, disapointments, learnings and much more.

#### Hosts:

  - Artur Dryomov [@arturdryomov](https://twitter.com/arturdryomov), [personal blog](http://arturdryomov.online/), [GitHub](https://github.com/ming13)
  - Hannes Dorfmann [@sockeqwe](https://twitter.com/sockeqwe), [personal blog](http://hannesdorfmann.com), [GitHub](https://github.com/sockeqwe)

#### Links:

Talks:

  - [Two Stones, One Bird: Implementation Tradeoffs by Christina Lee - KotlinConf 2017](https://www.youtube.com/watch?v=YxOTU9F_YX4)
  - [Testing Kotlin at Scale: Spek by Artem Zinnatullin - KotlinConf 2017](https://www.youtube.com/watch?v=R425cc6XrvA)
  - [The Reactive Workflow Pattern](https://www.youtube.com/watch?v=KjoMnsc2lPo) (Droidcon New York 2017) and [Update](https://www.youtube.com/watch?v=mvBVkU2mCF4) (Droidcon San Francisco) by Ray Ryan 
  - [The Resurgence of SQL by Jake Wharton and Alec Strong - Droidcon New York City 2017](https://github.com/JetBrains/kotlinconf-app)
  - [Embracing SQL Without Abstraction by Alec Strong - Droidcon New York City 2016](https://www.youtube.com/watch?v=ksgmm8VolT4&t=840s)
  - [OpenYOLO: Authentication made easy and secure by Iain McGinniss - Droidcon London 2017](http://uk.droidcon.com/skillscasts/10784-openyolo-authentication-made-easy-and-secure) and corresponding [blog post](https://blog.agilebits.com/2017/10/26/integrate-1password-into-your-android-apps/) 

Libraries:

  - [Spek](http://spekframework.org/)
  - [Room](https://developer.android.com/topic/libraries/architecture/room.html)
  - [Lottie](https://github.com/airbnb/lottie-android)
  - [Reagent:](https://github.com/JakeWharton/Reagent) Experiments for future reactive libraries (by using coroutines).

Programming Languages and Technologies:
 
  - [TypeScript](https://www.typescriptlang.org/)
  - [Dart](https://www.dartlang.org/)
  - [WebOS](https://en.wikipedia.org/wiki/WebOS)

Other Links:

  - Book recommendation: [The Subtle Art of Not Giving a F*ck: A Counterintuitive Approach to Living a Good Life](https://www.goodreads.com/book/show/28257707-the-subtle-art-of-not-giving-a-f-ck)
  - Christina Lee's tweet: ["Does it matter to you if speakers have given their talk before?"](https://twitter.com/RunChristinaRun/status/917187298546008065)
  - [KotlinConf 2017 App](https://github.com/JetBrains/kotlinconf-app)
  - [Spans, a Powerful Concept by Flavien Laurent](http://flavienlaurent.com/blog/2014/01/31/spans)
  - [shouldShowRequestPermissionRationale()](https://developer.android.com/reference/android/support/v4/app/ActivityCompat.html#shouldShowRequestPermissionRationale)
  - [SharedMemory](https://developer.android.com/reference/android/os/SharedMemory.html)
  - People to follow: [Chris Lattner](https://twitter.com/clattner_llvm)
